<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
  <meta name="description" content="" />
  <meta name="author" content="" />
  <title>Add New Vehicle</title>
  <!-- Favicon-->
  <link rel="icon" type="image/x-icon" href="/static/assets/favicon.ico" />
  <script th:src="@{/js/jq.js}"></script>
  <!-- Font Awesome icons (free version)-->
  <script th:src="@{https://use.fontawesome.com/releases/v6.3.0/js/all.js}" crossorigin="anonymous"></script>
  <!-- Google fonts-->
  <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700" rel="stylesheet" type="text/css" />
  <link href="https://fonts.googleapis.com/css?family=Roboto+Slab:400,100,300,700" rel="stylesheet" type="text/css" />
  <!-- Core theme CSS (includes Bootstrap)-->
  <link th:href="@{/css/styles.css}" rel="stylesheet" />
  <link rel="stylesheet" type="text/css" href="../static/styles.css" th:href="@{/styles.css}">
  <script src="../static/js/jq.js"></script>
  <script src="../static/js/OfferView.js" th:src="@{/js/OfferView.js}"></script>

</head>
<body id="page-top">
<!-- Navigation-->
<nav th:replace="~{/fragments/navbar :: navbar}">Heather fragment</nav>
<div>
  <form class="login" action="#" th:action="@{/vehicles/new/{id}(id=${vehicle.getOwnerId()})}" th:object="${vehicle}" method="post">
    <hr class="my-4"/>
    <h2 class="sub-heading text-center">Add New Vehicle</h2>
    <br>
    <div>
      <label for="brand">Car brand:</label>
      <select id="brand" name="brand" onchange="updateModels()">
        <option value="">-- Select a brand --</option>
        <option th:each="brand : ${brands}" th:value="${brand.getId()}" th:text="${brand.brandName}"></option>
      </select>

      <label th:field="*{modelId}" for="model">Car model:</label>
      <select name="model" id="model" disabled onchange="updateModelId()">
        <option th:value="*{modelId}">-- Select a model -- </option>
      </select>

      <input type="hidden" th:field="*{modelId}" name="modelId" id="modelId"/>

    </div>

    <br>

    <!--                <div class="login__field">-->
    <!--                    <label th:text="#{vehicle.label.model}">Vehicle Model</label>-->
    <!--                    </br>-->
    <!--                    <input type="number" class="login__input" th:field="*{modelId}" placeholder="Model">-->
    <!--                    <label class="error" th:errors="*{modelId}">Model Error placeholder</label>-->
    <!--                </div>-->

    <div class="login__field">
      <label th:text="#{vehicle.label.year}">Vehicle Year</label>
      </br>
      <input type="number" class="login__input" th:field="*{creationYear}" >
      <label class="error" th:errors="*{creationYear}">Year Error placeholder</label>
    </div>

    <div class="login__field">
      <label th:text="#{vehicle.label.license-plate}" >Vehicle License Plate</label>
      </br>
      <input type="text" class="login__input" th:field="*{licensePlate}" placeholder="License Plate">
      <label class="error" th:errors="*{licensePlate}">License Plate Error placeholder</label>
    </div>

    <div class="login__field">
      <label th:text="#{vehicle.label.vin}">Vehicle VIN</label>
      </br>
      <input type="text" class="login__input" th:field="*{vin}"placeholder="VIN">
      <label class="error" th:errors="*{vin}">VIN Error placeholder</label>
    </div>

    <input type="hidden" th:field="*{ownerId}"/>

    <button class="btn btn-primary btn-xl text-uppercase" id="submitButton" type="submit" th:text="Create">Create</button>
  </form>

  <form th:action="@{/users/{id}(id=${vehicle.getOwnerId()})}" th:method="get">
    <input type="submit" th:value="Cancel" >
  </form>
</div>
<!-- Footer-->
<footer class="footer py-4">
  <div class="container">
    <div class="row align-items-center">
      <div class="col-lg-4 text-lg-start">Copyright &copy; Your Website 2023</div>
      <div class="col-lg-4 my-3 my-lg-0">
        <a class="btn btn-dark btn-social mx-2" href="#!" aria-label="Twitter"><i class="fab fa-twitter"></i></a>
        <a class="btn btn-dark btn-social mx-2" href="#!" aria-label="Facebook"><i class="fab fa-facebook-f"></i></a>
        <a class="btn btn-dark btn-social mx-2" href="#!" aria-label="LinkedIn"><i class="fab fa-linkedin-in"></i></a>
      </div>
      <div class="col-lg-4 text-lg-end">
        <a class="link-dark text-decoration-none me-3" href="#!">Privacy Policy</a>
        <a class="link-dark text-decoration-none" href="#!">Terms of Use</a>
      </div>
    </div>
  </div>
</footer>

<script th:src="@{https://cdn.jsdelivr.net/npm/bootstrap5.2.3/dist/js/bootstrap.bundle.min.js}"></script>
<!-- Core theme JS-->
<script th:src="@{/js/scripts.js}"></script>
<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *-->
<!-- * *                               SB Forms JS                               * *-->
<!-- * * Activate your form at https://startbootstrap.com/solution/contact-forms * *-->
<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *-->
<script th:src="@{https://cdn.startbootstrap.com/sb-forms-latest.js}"></script>
</div>
</body>
</html>